import React, { FC } from 'react';
import { StyleProp, TextStyle, ViewStyle } from 'react-native';
export type ListOption = {
    id: string | number;
    name: string;
};
export type ListProps = {
    Option?: FC<{
        option: ListOption;
    }>;
    autoComplete?: boolean;
    compact?: boolean;
    mode?: 'view' | 'interactive';
    onClick?: (id: ListOption['id']) => void;
    options: ListOption[];
    selectedId?: ListOption['id'];
    style?: {
        container?: StyleProp<ViewStyle>;
        item?: (option: ListOption) => StyleProp<ViewStyle>;
        text?: (option: ListOption) => StyleProp<TextStyle>;
    };
};
export declare const List: React.FC<ListProps>;
