"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.List = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_unistyles_1 = require("react-native-unistyles");
const tolgee_1 = require("@procyon/localization/tolgee");
const enums_1 = require("@procyon/types/enums");
const debounce_1 = require("@procyon/utils/debounce");
const TextField_1 = require("./TextField");
const List = ({ options, Option, autoComplete, onClick, compact, mode = 'interactive', style, selectedId, }) => {
    const [focused, setFocused] = (0, react_1.useState)(undefined);
    const [selected, setSelected] = (0, react_1.useState)();
    const [searchResults, setSearchResults] = (0, react_1.useState)(options);
    const { styles } = (0, react_native_unistyles_1.useStyles)(styleSheet, {
        compact,
    });
    (0, react_1.useEffect)(() => {
        if (selectedId) {
            setSelected(selectedId);
        }
    }, [selectedId]);
    (0, react_1.useEffect)(() => {
        setSearchResults(options);
    }, [options]);
    const setSelectedOption = (id) => {
        setSelected(id);
        onClick === null || onClick === void 0 ? void 0 : onClick(id);
    };
    const handleSearch = (0, debounce_1.debounceAfter)((value) => {
        setSearchResults(options.filter((option) => option.name.toLowerCase().includes(value.toLowerCase())));
    }, 200);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        autoComplete && (react_1.default.createElement(TextField_1.TextField, { name: "search", label: "Hledat", onChange: handleSearch, autoFocus: true, style: {
                container: {
                    marginBottom: 5,
                },
            }, size: enums_1.SizeEnum.sm })),
        react_1.default.createElement(react_native_1.ScrollView, { "aria-label": "scroll-view", style: [styles.procyon_list_container(), style === null || style === void 0 ? void 0 : style.container], automaticallyAdjustsScrollIndicatorInsets: true }, searchResults.length > 0 ? (searchResults.map((option, i) => {
            var _a, _b, _c, _d;
            const { id, name } = option;
            const sibling = (_b = (_a = searchResults[i - 1]) === null || _a === void 0 ? void 0 : _a.id) !== null && _b !== void 0 ? _b : null;
            return (react_1.default.createElement(react_native_1.Pressable, Object.assign({ disabled: mode === 'view' }, (mode === 'interactive' && {
                onHoverIn: () => setFocused(id),
                onHoverOut: () => setFocused(undefined),
                onPress: () => setSelectedOption(id),
            }), { key: id, style: [
                    styles.procyon_list_item(id === focused, id === selected, i === 0, i === searchResults.length - 1, sibling === focused, sibling === selected, i % 2 === 0),
                    (_c = style === null || style === void 0 ? void 0 : style.item) === null || _c === void 0 ? void 0 : _c.call(style, option),
                ] }), Option ? (react_1.default.createElement(Option, { option: option })) : (react_1.default.createElement(react_native_1.Text, { style: (_d = style === null || style === void 0 ? void 0 : style.text) === null || _d === void 0 ? void 0 : _d.call(style, option) }, name))));
        })) : (react_1.default.createElement(react_native_1.Text, null,
            react_1.default.createElement(tolgee_1.T, { transKey: "global.no_record" }))))));
};
exports.List = List;
const styleSheet = (0, react_native_unistyles_1.createStyleSheet)((theme) => ({
    procyon_list_container: () => ({
        borderRadius: theme.spacing.md,
        borderWidth: 2,
        borderColor: theme.components.list.item.border,
        backgroundColor: theme.components.list.container.background,
        margin: theme.spacing.sm,
    }),
    procyon_list_item: (focused, selected, isFirst, isLast, nextSiblingFocused, nextSiblingSelected, isOdd) => (Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({ padding: theme.spacing.md, paddingLeft: 4, borderWidth: 2, borderLeftWidth: 0, borderRightWidth: 0, borderBottomWidth: 0 }, (isOdd
        ? {
            backgroundColor: theme.components.list.odd.background,
        }
        : {
            backgroundColor: theme.components.list.item.background,
        })), (isFirst && {
        borderTopWidth: 0,
    })), (selected
        ? {
            backgroundColor: theme.common.active.background,
            borderColor: theme.common.active.border,
        }
        : focused
            ? {
                backgroundColor: theme.common.focus.background,
                borderColor: theme.common.focus.border,
            }
            : {
                borderColor: theme.components.list.item.border,
            })), (nextSiblingFocused && {
        borderTopColor: theme.common.focus.border,
    })), (nextSiblingSelected && {
        borderTopColor: theme.common.active.border,
    })), { variants: {
            compact: {
                true: {
                    padding: 1,
                },
            },
        } })),
}));
