"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioButton = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_unistyles_1 = require("react-native-unistyles");
const Label_1 = require("@procyon/components/Label");
const enums_1 = require("@procyon/types/enums");
const FieldMessage_1 = require("./FieldMessage");
const RadioButton = (props) => {
    const { onClick } = props, others = __rest(props, ["onClick"]);
    const { horizontal = false, disabled, label, options, size = enums_1.SizeEnum.md, Custom, status = enums_1.StatusEnum.none, message, } = others;
    const [value, setValue] = (0, react_1.useState)(null);
    const { styles } = (0, react_native_unistyles_1.useStyles)(styleSheet, {
        disabled,
        status,
        size,
    });
    (0, react_1.useEffect)(() => {
        var _a;
        setValue((_a = props.value) !== null && _a !== void 0 ? _a : null);
    }, [props.value]);
    const handleClick = (id, e) => {
        if (!disabled) {
            onClick === null || onClick === void 0 ? void 0 : onClick(id, e);
            setValue(id);
        }
    };
    return (react_1.default.createElement(react_native_1.View, { style: [styles.procyon_radioButton_container], "aria-label": "radioButton" },
        label && react_1.default.createElement(Label_1.Label, { label: label }),
        Custom ? (react_1.default.createElement(Custom, Object.assign({}, others))) : (react_1.default.createElement(react_native_1.View, { style: [styles.procyon_radioButton_options(horizontal)] }, options.map((props) => {
            const { id, name, disabled: optionDisabled } = props;
            return (react_1.default.createElement(react_native_1.Pressable, { key: id, style: [styles.procyon_radioButton_option()], onPress: (e) => !optionDisabled && handleClick(id, e) },
                react_1.default.createElement(react_native_1.View, { style: [
                        styles.procyon_radioButton_out_circle(id === value, optionDisabled),
                    ] },
                    react_1.default.createElement(react_native_1.View, { style: [
                            styles.procyon_radioButton_in_circle(id === value, optionDisabled),
                        ] })),
                react_1.default.createElement(react_native_1.Text, { style: [styles.procyon_radioButton_name(optionDisabled)] }, name)));
        }))),
        react_1.default.createElement(FieldMessage_1.FieldMessage, { message: message, size: size, status: status })));
};
exports.RadioButton = RadioButton;
const styleSheet = (0, react_native_unistyles_1.createStyleSheet)((theme) => {
    return {
        procyon_radioButton_container: {
            padding: theme.spacing.sm,
        },
        procyon_radioButton_options: (horizontal) => {
            return Object.assign({ marginVertical: theme.spacing.md, display: 'flex' }, (horizontal
                ? {
                    flexDirection: 'row',
                    gap: 20,
                }
                : {
                    flexDirection: 'column',
                    gap: 6,
                }));
        },
        procyon_radioButton_option: () => {
            return {
                display: 'flex',
                flexDirection: 'row',
                alignItems: 'center',
                gap: 8,
            };
        },
        procyon_radioButton_out_circle: (selected, optionDisabled) => {
            const variantForStatus = (status) => ({
                borderColor: selected
                    ? theme.components.field.radioButton.active.border
                    : optionDisabled
                        ? theme.components.field.disabled.background
                        : theme.components.field[status].border,
            });
            const variantForSize = (size) => ({
                height: theme.spacing[size] + 16,
                width: theme.spacing[size] + 16,
            });
            return {
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'center',
                borderRadius: 50,
                borderWidth: 2,
                variants: {
                    status: {
                        [enums_1.StatusEnum.none]: variantForStatus(enums_1.StatusEnum.none),
                        [enums_1.StatusEnum.info]: variantForStatus(enums_1.StatusEnum.info),
                        [enums_1.StatusEnum.success]: variantForStatus(enums_1.StatusEnum.success),
                        [enums_1.StatusEnum.warning]: variantForStatus(enums_1.StatusEnum.warning),
                        [enums_1.StatusEnum.error]: variantForStatus(enums_1.StatusEnum.error),
                    },
                    size: {
                        [enums_1.SizeEnum.sm]: variantForSize(enums_1.SizeEnum.sm),
                        [enums_1.SizeEnum.md]: variantForSize(enums_1.SizeEnum.md),
                        [enums_1.SizeEnum.lg]: variantForSize(enums_1.SizeEnum.lg),
                        [enums_1.SizeEnum.xl]: variantForSize(enums_1.SizeEnum.xl),
                    },
                    disabled: {
                        true: {
                            borderColor: theme.components.field.disabled.background,
                        },
                    },
                },
            };
        },
        procyon_radioButton_in_circle: (selected, optionDisabled) => {
            const variantForSize = (size) => ({
                height: theme.spacing[size] + 6,
                width: theme.spacing[size] + 6,
            });
            return {
                borderRadius: 50,
                backgroundColor: selected
                    ? theme.components.field.radioButton.active.background
                    : optionDisabled
                        ? theme.components.field.disabled.background
                        : theme.components.field.none.background,
                variants: {
                    size: {
                        [enums_1.SizeEnum.sm]: variantForSize(enums_1.SizeEnum.sm),
                        [enums_1.SizeEnum.md]: variantForSize(enums_1.SizeEnum.md),
                        [enums_1.SizeEnum.lg]: variantForSize(enums_1.SizeEnum.lg),
                        [enums_1.SizeEnum.xl]: variantForSize(enums_1.SizeEnum.xl),
                    },
                    disabled: {
                        true: {
                            borderColor: theme.components.field.disabled.background,
                        },
                    },
                },
            };
        },
        procyon_radioButton_name: (optionDisabled) => {
            const variantForSize = (size) => ({
                fontSize: theme.fontSize[size],
            });
            return Object.assign(Object.assign({ fontFamily: theme.fontFamily }, (optionDisabled
                ? {
                    color: theme.components.field.disabled.color,
                }
                : {})), { variants: {
                    size: {
                        [enums_1.SizeEnum.sm]: variantForSize(enums_1.SizeEnum.sm),
                        [enums_1.SizeEnum.md]: variantForSize(enums_1.SizeEnum.md),
                        [enums_1.SizeEnum.lg]: variantForSize(enums_1.SizeEnum.lg),
                        [enums_1.SizeEnum.xl]: variantForSize(enums_1.SizeEnum.xl),
                    },
                    disabled: {
                        true: {
                            color: theme.components.field.disabled.color,
                        },
                    },
                } });
        },
    };
});
