import React, { FC } from 'react';
import { ListOption } from '@procyon/components/List';
import { Modal } from '@procyon/components/Modal/context';
import { InputElementType } from '@procyon/types/form';
import { TextFieldInputProps, TextFieldProps } from '../../TextField';
import { SelectboxModalProps } from './SelectboxModal';
export type SelectboxOptions = Record<string, any> & ListOption;
export type SelectboxProps<V = SelectboxOptions['id']> = Omit<{
    Input?: FC<{
        option?: SelectboxOptions;
    } & TextFieldInputProps>;
    Option?: SelectboxModalProps['Option'];
    autoComplete?: boolean;
    clearable?: boolean;
    options: SelectboxOptions[];
    style?: {
        input?: TextFieldProps['style'];
        list?: SelectboxModalProps['style'];
        modal?: Modal<any>['style'];
    };
} & InputElementType<V>, 'onFocus' | 'onClick' | 'onBlur'>;
export declare const Selectbox: React.FC<SelectboxProps>;
