"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectboxModal = void 0;
const react_1 = __importDefault(require("react"));
const ramda_1 = require("ramda");
const Trash_1 = require("@procyon/components/Icons/Trash");
const List_1 = require("@procyon/components/List");
const enums_1 = require("@procyon/types/enums");
const Button_1 = require("../../Button");
const SelectboxModal = (props) => {
    var _a;
    const { onChange, onRemove, closeModal } = props, others = __rest(props, ["onChange", "onRemove", "closeModal"]);
    const handleChange = (id) => {
        onChange(id);
        closeModal();
    };
    const removeActiveOption = () => {
        onRemove();
        closeModal();
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(List_1.List, Object.assign({}, others, { onClick: handleChange, style: (0, ramda_1.mergeDeepRight)({
                container: {
                    maxHeight: 250,
                },
            }, (_a = props.style) !== null && _a !== void 0 ? _a : {}) })),
        props.clearable && (react_1.default.createElement(Button_1.Button, { label: react_1.default.createElement(Trash_1.TrashIcon, { fontSize: 20 }), size: enums_1.SizeEnum.sm, status: enums_1.StatusEnum.warning, onClick: removeActiveOption, blank: true }))));
};
exports.SelectboxModal = SelectboxModal;
