import React, { FC } from 'react';
import { InputModeOptions, NativeTouchEvent, StyleProp, TextStyle, ViewStyle } from 'react-native';
import { NativeSyntheticEvent } from 'react-native/Libraries/Types/CoreEventTypes';
import { InputElementType } from '@procyon/types/form';
export type TextFieldInputProps = {
    onPressIn: (e: NativeSyntheticEvent<NativeTouchEvent>) => void;
    style: StyleProp<TextStyle>;
};
export type TextFieldProps<V = string> = {
    Input?: FC<TextFieldInputProps>;
    LeftIcon?: FC<any>;
    RightIcon?: FC<any>;
    autoFocus?: boolean;
    leftText?: string;
    mask?: string;
    mode?: InputModeOptions;
    multiline?: boolean;
    readonly?: boolean;
    rightText?: string;
    secret?: boolean;
    style?: {
        container?: StyleProp<ViewStyle>;
        icon?: StyleProp<ViewStyle | TextStyle>;
        input?: StyleProp<ViewStyle>;
        inputWrapper?: StyleProp<ViewStyle>;
        label?: StyleProp<TextStyle>;
        message?: StyleProp<TextStyle>;
    };
} & InputElementType<V>;
export declare const TextField: React.FC<TextFieldProps>;
